Package org.eclipse.graphiti.features

## Interface IPrintFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractPrintFeature`, `DefaultPrintFeature`

    public interface IPrintFeature
    extends IFeature

The Interface IPrintFeature for print support of diagrams.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canPrint​(IPrintContext context)` Checks if the printing can be executed, e.g the availability of printers is being checked in the default implementation.
`void` `postPrint​(IPrintContext context)` Post-print hook.
`void` `prePrint​(IPrintContext context)` Pre-print hook.
`void` `print​(IPrintContext context)` Print the diagram using the given context information.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Method Detail

#### canPrint

    boolean canPrint​(IPrintContext context)

Checks if the printing can be executed, e.g the availability of printers is being checked in the default implementation.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### print

    void print​(IPrintContext context)

Print the diagram using the given context information. By default the complete diagram is printed, there's currently no option to influence the printing via the context.

Parameters:
  `context` - Context information for printing
Since:
  0.10

#### prePrint

    void prePrint​(IPrintContext context)

Pre-print hook. Called before the actual print process starts. You may use this hook to influence the current state of the diagram or the selection.

Parameters:
  `context` - the context

#### postPrint

    void postPrint​(IPrintContext context)

Post-print hook. Called after the actual print process. You may use this hook to set back the changes done in the prePrint method.

Parameters:
  `context` - the context